ID CVE-2013-0912
Summary WebKit in Google Chrome before 25.0.1364.160 allows remote attackers to execute arbitrary code via vectors that leverage "type confusion."
References
Vulnerable Configurations
  • cpe:2.3:a:google:chrome:25.0.1364.152
    cpe:2.3:a:google:chrome:25.0.1364.152
  • cpe:2.3:a:google:chrome:25.0.1364.154
    cpe:2.3:a:google:chrome:25.0.1364.154
  • cpe:2.3:a:google:chrome:25.0.1364.155
    cpe:2.3:a:google:chrome:25.0.1364.155
  • cpe:2.3:a:google:chrome:25.0.1364.156
    cpe:2.3:a:google:chrome:25.0.1364.156
  • cpe:2.3:a:google:chrome:25.0.1364.159
    cpe:2.3:a:google:chrome:25.0.1364.159
  • Google Chrome 25.0.1364.35
    cpe:2.3:a:google:chrome:25.0.1364.35
  • Google Chrome 25.0.1364.36
    cpe:2.3:a:google:chrome:25.0.1364.36
  • Google Chrome 25.0.1364.33
    cpe:2.3:a:google:chrome:25.0.1364.33
  • Google Chrome 25.0.1364.34
    cpe:2.3:a:google:chrome:25.0.1364.34
  • Google Chrome 25.0.1364.39
    cpe:2.3:a:google:chrome:25.0.1364.39
  • Google Chrome 25.0.1364.40
    cpe:2.3:a:google:chrome:25.0.1364.40
  • Google Chrome 25.0.1364.37
    cpe:2.3:a:google:chrome:25.0.1364.37
  • Google Chrome 25.0.1364.38
    cpe:2.3:a:google:chrome:25.0.1364.38
  • Google Chrome 25.0.1364.43
    cpe:2.3:a:google:chrome:25.0.1364.43
  • Google Chrome 25.0.1364.44
    cpe:2.3:a:google:chrome:25.0.1364.44
  • Google Chrome 25.0.1364.41
    cpe:2.3:a:google:chrome:25.0.1364.41
  • Google Chrome 25.0.1364.42
    cpe:2.3:a:google:chrome:25.0.1364.42
  • Google Chrome 25.0.1364.47
    cpe:2.3:a:google:chrome:25.0.1364.47
  • Google Chrome 25.0.1364.48
    cpe:2.3:a:google:chrome:25.0.1364.48
  • Google Chrome 25.0.1364.45
    cpe:2.3:a:google:chrome:25.0.1364.45
  • Google Chrome 25.0.1364.125
    cpe:2.3:a:google:chrome:25.0.1364.125
  • Google Chrome 25.0.1364.46
    cpe:2.3:a:google:chrome:25.0.1364.46
  • Google Chrome 25.0.1364.126
    cpe:2.3:a:google:chrome:25.0.1364.126
  • Google Chrome 25.0.1364.52
    cpe:2.3:a:google:chrome:25.0.1364.52
  • Google Chrome 25.0.1364.124
    cpe:2.3:a:google:chrome:25.0.1364.124
  • Google Chrome 25.0.1364.51
    cpe:2.3:a:google:chrome:25.0.1364.51
  • Google Chrome 25.0.1364.123
    cpe:2.3:a:google:chrome:25.0.1364.123
  • Google Chrome 25.0.1364.50
    cpe:2.3:a:google:chrome:25.0.1364.50
  • Google Chrome 25.0.1364.122
    cpe:2.3:a:google:chrome:25.0.1364.122
  • Google Chrome 25.0.1364.49
    cpe:2.3:a:google:chrome:25.0.1364.49
  • Google Chrome 25.0.1364.121
    cpe:2.3:a:google:chrome:25.0.1364.121
  • Google Chrome 25.0.1364.56
    cpe:2.3:a:google:chrome:25.0.1364.56
  • Google Chrome 25.0.1364.120
    cpe:2.3:a:google:chrome:25.0.1364.120
  • Google Chrome 25.0.1364.55
    cpe:2.3:a:google:chrome:25.0.1364.55
  • Google Chrome 25.0.1364.119
    cpe:2.3:a:google:chrome:25.0.1364.119
  • Google Chrome 25.0.1364.54
    cpe:2.3:a:google:chrome:25.0.1364.54
  • Google Chrome 25.0.1364.118
    cpe:2.3:a:google:chrome:25.0.1364.118
  • Google Chrome 25.0.1364.53
    cpe:2.3:a:google:chrome:25.0.1364.53
  • Google Chrome 25.0.1364.117
    cpe:2.3:a:google:chrome:25.0.1364.117
  • Google Chrome 25.0.1364.62
    cpe:2.3:a:google:chrome:25.0.1364.62
  • Google Chrome 25.0.1364.116
    cpe:2.3:a:google:chrome:25.0.1364.116
  • Google Chrome 25.0.1364.61
    cpe:2.3:a:google:chrome:25.0.1364.61
  • Google Chrome 25.0.1364.115
    cpe:2.3:a:google:chrome:25.0.1364.115
  • Google Chrome 25.0.1364.58
    cpe:2.3:a:google:chrome:25.0.1364.58
  • Google Chrome 25.0.1364.114
    cpe:2.3:a:google:chrome:25.0.1364.114
  • Google Chrome 25.0.1364.57
    cpe:2.3:a:google:chrome:25.0.1364.57
  • Google Chrome 25.0.1364.113
    cpe:2.3:a:google:chrome:25.0.1364.113
  • Google Chrome 25.0.1364.67
    cpe:2.3:a:google:chrome:25.0.1364.67
  • Google Chrome 25.0.1364.112
    cpe:2.3:a:google:chrome:25.0.1364.112
  • Google Chrome 25.0.1364.66
    cpe:2.3:a:google:chrome:25.0.1364.66
  • Google Chrome 25.0.1364.110
    cpe:2.3:a:google:chrome:25.0.1364.110
  • Google Chrome 25.0.1364.65
    cpe:2.3:a:google:chrome:25.0.1364.65
  • Google Chrome 25.0.1364.108
    cpe:2.3:a:google:chrome:25.0.1364.108
  • Google Chrome 25.0.1364.63
    cpe:2.3:a:google:chrome:25.0.1364.63
  • Google Chrome 25.0.1364.0
    cpe:2.3:a:google:chrome:25.0.1364.0
  • Google Chrome 25.0.1364.1
    cpe:2.3:a:google:chrome:25.0.1364.1
  • Google Chrome 25.0.1364.2
    cpe:2.3:a:google:chrome:25.0.1364.2
  • Google Chrome 25.0.1364.3
    cpe:2.3:a:google:chrome:25.0.1364.3
  • Google Chrome 25.0.1364.5
    cpe:2.3:a:google:chrome:25.0.1364.5
  • Google Chrome 25.0.1364.7
    cpe:2.3:a:google:chrome:25.0.1364.7
  • Google Chrome 25.0.1364.8
    cpe:2.3:a:google:chrome:25.0.1364.8
  • Google Chrome 25.0.1364.9
    cpe:2.3:a:google:chrome:25.0.1364.9
  • Google Chrome 25.0.1364.10
    cpe:2.3:a:google:chrome:25.0.1364.10
  • Google Chrome 25.0.1364.11
    cpe:2.3:a:google:chrome:25.0.1364.11
  • Google Chrome 25.0.1364.12
    cpe:2.3:a:google:chrome:25.0.1364.12
  • Google Chrome 25.0.1364.13
    cpe:2.3:a:google:chrome:25.0.1364.13
  • Google Chrome 25.0.1364.14
    cpe:2.3:a:google:chrome:25.0.1364.14
  • Google Chrome 25.0.1364.15
    cpe:2.3:a:google:chrome:25.0.1364.15
  • Google Chrome 25.0.1364.16
    cpe:2.3:a:google:chrome:25.0.1364.16
  • Google Chrome 25.0.1364.18
    cpe:2.3:a:google:chrome:25.0.1364.18
  • Google Chrome 25.0.1364.17
    cpe:2.3:a:google:chrome:25.0.1364.17
  • Google Chrome 25.0.1364.20
    cpe:2.3:a:google:chrome:25.0.1364.20
  • Google Chrome 25.0.1364.19
    cpe:2.3:a:google:chrome:25.0.1364.19
  • Google Chrome 25.0.1364.22
    cpe:2.3:a:google:chrome:25.0.1364.22
  • Google Chrome 25.0.1364.21
    cpe:2.3:a:google:chrome:25.0.1364.21
  • Google Chrome 25.0.1364.24
    cpe:2.3:a:google:chrome:25.0.1364.24
  • Google Chrome 25.0.1364.23
    cpe:2.3:a:google:chrome:25.0.1364.23
  • Google Chrome 25.0.1364.26
    cpe:2.3:a:google:chrome:25.0.1364.26
  • Google Chrome 25.0.1364.25
    cpe:2.3:a:google:chrome:25.0.1364.25
  • Google Chrome 25.0.1364.28
    cpe:2.3:a:google:chrome:25.0.1364.28
  • Google Chrome 25.0.1364.27
    cpe:2.3:a:google:chrome:25.0.1364.27
  • Google Chrome 25.0.1364.30
    cpe:2.3:a:google:chrome:25.0.1364.30
  • Google Chrome 25.0.1364.29
    cpe:2.3:a:google:chrome:25.0.1364.29
  • Google Chrome 25.0.1364.32
    cpe:2.3:a:google:chrome:25.0.1364.32
  • Google Chrome 25.0.1364.31
    cpe:2.3:a:google:chrome:25.0.1364.31
  • Google Chrome 25.0.1364.74
    cpe:2.3:a:google:chrome:25.0.1364.74
  • Google Chrome 25.0.1364.75
    cpe:2.3:a:google:chrome:25.0.1364.75
  • Google Chrome 25.0.1364.76
    cpe:2.3:a:google:chrome:25.0.1364.76
  • Google Chrome 25.0.1364.77
    cpe:2.3:a:google:chrome:25.0.1364.77
  • Google Chrome 25.0.1364.68
    cpe:2.3:a:google:chrome:25.0.1364.68
  • Google Chrome 25.0.1364.70
    cpe:2.3:a:google:chrome:25.0.1364.70
  • Google Chrome 25.0.1364.72
    cpe:2.3:a:google:chrome:25.0.1364.72
  • Google Chrome 25.0.1364.73
    cpe:2.3:a:google:chrome:25.0.1364.73
  • Google Chrome 25.0.1364.82
    cpe:2.3:a:google:chrome:25.0.1364.82
  • Google Chrome 25.0.1364.84
    cpe:2.3:a:google:chrome:25.0.1364.84
  • Google Chrome 25.0.1364.85
    cpe:2.3:a:google:chrome:25.0.1364.85
  • Google Chrome 25.0.1364.86
    cpe:2.3:a:google:chrome:25.0.1364.86
  • Google Chrome 25.0.1364.78
    cpe:2.3:a:google:chrome:25.0.1364.78
  • Google Chrome 25.0.1364.79
    cpe:2.3:a:google:chrome:25.0.1364.79
  • Google Chrome 25.0.1364.80
    cpe:2.3:a:google:chrome:25.0.1364.80
  • Google Chrome 25.0.1364.81
    cpe:2.3:a:google:chrome:25.0.1364.81
  • Google Chrome 25.0.1364.88
    cpe:2.3:a:google:chrome:25.0.1364.88
  • Google Chrome 25.0.1364.87
    cpe:2.3:a:google:chrome:25.0.1364.87
  • Google Chrome 25.0.1364.90
    cpe:2.3:a:google:chrome:25.0.1364.90
  • Google Chrome 25.0.1364.89
    cpe:2.3:a:google:chrome:25.0.1364.89
  • Google Chrome 25.0.1364.99
    cpe:2.3:a:google:chrome:25.0.1364.99
  • Google Chrome 25.0.1364.92
    cpe:2.3:a:google:chrome:25.0.1364.92
  • Google Chrome 25.0.1364.91
    cpe:2.3:a:google:chrome:25.0.1364.91
  • Google Chrome 25.0.1364.98
    cpe:2.3:a:google:chrome:25.0.1364.98
  • Google Chrome 25.0.1364.93
    cpe:2.3:a:google:chrome:25.0.1364.93
  • Google Chrome 25.0.1364.95
    cpe:2.3:a:google:chrome:25.0.1364.95
CVSS
Base: 7.5 (as of 16-11-2016 - 12:35)
Impact:
Exploitability:
CWE CWE-94
CAPEC
  • Leverage Executable Code in Non-Executable Files
    An attack of this type exploits a system's trust in configuration and resource files, when the executable loads the resource (such as an image file or configuration file) the attacker has modified the file to either execute malicious code directly or manipulate the target process (e.g. application server) to execute based on the malicious configuration parameters. Since systems are increasingly interrelated mashing up resources from local and remote sources the possibility of this attack occurring is high. The attack can be directed at a client system, such as causing buffer overrun through loading seemingly benign image files, as in Microsoft Security Bulletin MS04-028 where specially crafted JPEG files could cause a buffer overrun once loaded into the browser. Another example targets clients reading pdf files. In this case the attacker simply appends javascript to the end of a legitimate url for a pdf (http://www.gnucitizen.org/blog/danger-danger-danger/) http://path/to/pdf/file.pdf#whatever_name_you_want=javascript:your_code_here The client assumes that they are reading a pdf, but the attacker has modified the resource and loaded executable javascript into the client's browser process. The attack can also target server processes. The attacker edits the resource or configuration file, for example a web.xml file used to configure security permissions for a J2EE app server, adding role name "public" grants all users with the public role the ability to use the administration functionality. The server trusts its configuration file to be correct, but when they are manipulated, the attacker gains full control.
  • Manipulating User-Controlled Variables
    This attack targets user controlled variables (DEBUG=1, PHP Globals, and So Forth). An attacker can override environment variables leveraging user-supplied, untrusted query variables directly used on the application server without any data sanitization. In extreme cases, the attacker can change variables controlling the business logic of the application. For instance, in languages like PHP, a number of poorly set default configurations may allow the user to override variables.
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
nessus via4
  • NASL family Peer-To-Peer File Sharing
    NASL id ITUNES_11_0_3_BANNER.NASL
    description The version of Apple iTunes on the remote host is prior to version 11.0.3. It is, therefore, affected by multiple vulnerabilities : - An error exists related to certificate validation. A man-in-the-middle attacker can exploit this to spoof HTTPS servers, which allows the disclosure of sensitive information or the application to trust data from untrusted sources. Note that this issue affects the application regardless of the operating system. (CVE-2013-1014) - The version of WebKit included in iTunes contains several errors that can lead to memory corruption and arbitrary code execution. The vendor states that one possible vector is a man-in-the-middle attack while the application browses the 'iTunes Store'. Please note that these vulnerabilities only affect the application when it is running on a Windows host. (CVE-2012-2824, CVE-2012-2857, CVE-2012-3748, CVE-2012-5112, CVE-2013-0879, CVE-2013-0912, CVE-2013-0948, CVE-2013-0949, CVE-2013-0950, CVE-2013-0951, CVE-2013-0952, CVE-2013-0953, CVE-2013-0954, CVE-2013-0955, CVE-2013-0956, CVE-2013-0958, CVE-2013-0959, CVE-2013-0960, CVE-2013-0961, CVE-2013-0991, CVE-2013-0992, CVE-2013-0993, CVE-2013-0994, CVE-2013-0995, CVE-2013-0996, CVE-2013-0997, CVE-2013-0998, CVE-2013-0999, CVE-2013-1000, CVE-2013-1001, CVE-2013-1002, CVE-2013-1003, CVE-2013-1004, CVE-2013-1005, CVE-2013-1006, CVE-2013-1007, CVE-2013-1008, CVE-2013-1010, CVE-2013-1011)
    last seen 2019-02-21
    modified 2018-07-13
    plugin id 66499
    published 2013-05-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=66499
    title Apple iTunes < 11.0.3 Multiple Vulnerabilities (uncredentialed check)
  • NASL family Windows
    NASL id GOOGLE_CHROME_25_0_1364_160.NASL
    description The version of Google Chrome installed on the remote host is a version prior to 25.0.1364.160. It includes a vulnerable WebKit version that is affected by a type confusion issue that could allow remote code execution.
    last seen 2019-02-21
    modified 2018-11-15
    plugin id 65097
    published 2013-03-08
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=65097
    title Google Chrome < 25.0.1364.160 WebKit Type Confusion Code Execution
  • NASL family Gentoo Local Security Checks
    NASL id GENTOO_GLSA-201309-16.NASL
    description The remote host is affected by the vulnerability described in GLSA-201309-16 (Chromium, V8: Multiple vulnerabilities) Multiple vulnerabilities have been discovered in Chromium and V8. Please review the CVE identifiers and release notes referenced below for details. Impact : A context-dependent attacker could entice a user to open a specially crafted website or JavaScript program using Chromium or V8, possibly resulting in the execution of arbitrary code with the privileges of the process or a Denial of Service condition. Furthermore, a remote attacker may be able to bypass security restrictions or have other, unspecified, impact. Workaround : There is no known workaround at this time.
    last seen 2019-02-21
    modified 2018-07-12
    plugin id 70112
    published 2013-09-25
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=70112
    title GLSA-201309-16 : Chromium, V8: Multiple vulnerabilities
  • NASL family FreeBSD Local Security Checks
    NASL id FREEBSD_PKG_54BED67687CE11E2B52800262D5ED8EE.NASL
    description Google Chrome Releases reports : [180763] High CVE-2013-0912: Type confusion in WebKit. Credit to Nils and Jon of MWR Labs.
    last seen 2019-02-21
    modified 2013-06-21
    plugin id 65170
    published 2013-03-10
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=65170
    title FreeBSD : chromium -- WebKit vulnerability (54bed676-87ce-11e2-b528-00262d5ed8ee)
  • NASL family MacOS X Local Security Checks
    NASL id MACOSX_SAFARI6_0_4.NASL
    description The version of Apple Safari installed on the remote Mac OS X 10.7 or 10.8 host is earlier than 6.0.4. It is, therefore, affected by an arbitrary code execution vulnerability in WebKit related to handling SVG files that can be exploited by tricking a victim into visiting a specially crafted web page.
    last seen 2019-02-21
    modified 2018-07-14
    plugin id 66000
    published 2013-04-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=66000
    title Mac OS X : Apple Safari < 6.0.4 SVG File Handling Arbitrary Code Execution
  • NASL family Windows
    NASL id ITUNES_11_0_3.NASL
    description The version of Apple iTunes installed on the remote Windows host is older than 11.0.3. It therefore is potentially affected by several issues : - An error exists related to certificate validation that could allow disclosure of sensitive information and could allow the application to trust data from untrusted sources. (CVE-2013-1014) - The included version of WebKit contains several errors that could lead to memory corruption and possibly arbitrary code execution. The vendor notes one possible attack vector is a man-in-the-middle attack while the application browses the 'iTunes Store'. (CVE-2012-2824, CVE-2012-2857, CVE-2012-3748, CVE-2012-5112, CVE-2013-0879, CVE-2013-0912, CVE-2013-0948, CVE-2013-0949, CVE-2013-0950, CVE-2013-0951, CVE-2013-0952, CVE-2013-0953, CVE-2013-0954, CVE-2013-0955, CVE-2013-0956, CVE-2013-0958, CVE-2013-0959, CVE-2013-0960, CVE-2013-0961, CVE-2013-0991, CVE-2013-0992, CVE-2013-0993, CVE-2013-0994, CVE-2013-0995, CVE-2013-0996, CVE-2013-0997, CVE-2013-0998, CVE-2013-0999, CVE-2013-1000, CVE-2013-1001, CVE-2013-1002, CVE-2013-1003, CVE-2013-1004, CVE-2013-1005, CVE-2013-1006, CVE-2013-1007, CVE-2013-1008, CVE-2013-1010, CVE-2013-1011)
    last seen 2019-02-21
    modified 2018-07-13
    plugin id 66498
    published 2013-05-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=66498
    title Apple iTunes < 11.0.3 Multiple Vulnerabilities (credentialed check)
oval via4
accepted 2013-08-12T04:08:21.700-04:00
class vulnerability
contributors
  • name Shane Shaffer
    organization G2, Inc.
  • name Jonathan Baker
    organization The MITRE Corporation
  • name Maria Kedovskaya
    organization ALTX-SOFT
definition_extensions
comment Google Chrome is installed
oval oval:org.mitre.oval:def:11914
description WebKit in Google Chrome before 25.0.1364.160 allows remote attackers to execute arbitrary code via vectors that leverage "type confusion."
family windows
id oval:org.mitre.oval:def:16274
status accepted
submitted 2013-04-08T11:33:10.582-04:00
title WebKit in Google Chrome before 25.0.1364.160 allows remote attackers to execute arbitrary code via vectors that leverage "type confusion."
version 43
refmap via4
apple
  • APPLE-SA-2013-03-19-1
  • APPLE-SA-2013-04-16-1
confirm
misc
Last major update 02-11-2013 - 23:30
Published 11-03-2013 - 06:55
Last modified 18-09-2017 - 21:35
Back to Top